#ifndef __TH_ELOG_H__
#define __TH_ELOG_H__

#include "cmsis_os2.h"

osSemaphoreId_t ElogOutputBinarySemHandle;
const osSemaphoreAttr_t ElogOutputBinarySem_attributes;

osSemaphoreId_t ElogUartBinarySemHandle;
const osSemaphoreAttr_t ElogUartBinarySem_attributes;


osMutexId_t ElogOutputMutexHandle;
const osMutexAttr_t ElogOutputMutex_attributes;

osThreadId_t ElogInitTaskHandle;
osThreadId_t ElogFlushTaskHandle;

const osThreadAttr_t ElogInitTask_attributes;
const osThreadAttr_t ElogFlushTask_attributes;

void ElogInitTask(void *argument);
void ElogFlushTask(uint8_t intervnal);

void my_elog_init();
#endif
